import { _decorator, Component, Node, sp } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('SpineTest1')
export class SpineTest extends Component {

    @property(sp.Skeleton)
    spineNode: sp.Skeleton = null;

    start() {
        this.spineNode.setAnimation(0, "Jump", false);
        this.spineNode.addAnimation(0, "walk", true, 0);

        setTimeout(()=>{
            this.spineNode.setAnimation(0, "gungrab", false);
            this.spineNode.addAnimation(0, "empty", true, 0);
        }, 3000)
    }

    update(deltaTime: number) {
        
    }
}

